﻿using EduSpider.Model.Entity;
using EduSpider.Model.Extend;
using System.Collections.Generic;
using VTX.FW.Config;
using VTX.FW.DB;

namespace EduSpider.Repository
{
    /// <summary>
    /// 账号仓储接口
    /// </summary>
    public interface IAccountRepository : IDBRepository<rb_account_hk>, IDependency
    {
        /// <summary>
        /// 批量新增
        /// </summary>
        /// <param name="accounts"></param>
        /// <returns></returns>
        public bool BatchSetAccount(List<rb_account_hk> accounts);

        int GetMaxStuTeaId(int type);

        public List<rb_account_hk_Extend> GetAccountList(rb_account_hk_Extend demodel);

        /// <summary>
        /// 获取教师信息
        /// </summary>
        /// <param name="query"></param>
        /// <returns></returns>
        public List<EmployeeInfo> GetEmployeeListRepository(EmployeeInfo query);
    }
}
